Module javafx.base
Package javafx.beans.property

## Class ReadOnlyIntegerProperty

- java.lang.Object
- - javafx.beans.binding.NumberExpressionBase
  - - javafx.beans.binding.IntegerExpression
    - - javafx.beans.property.ReadOnlyIntegerProperty

- All Implemented Interfaces:
    `NumberExpression`, `Observable`, `ReadOnlyProperty<Number>`, `ObservableIntegerValue`, `ObservableNumberValue`, `ObservableValue<Number>`
  Direct Known Subclasses:
    `IntegerProperty`, `ReadOnlyIntegerPropertyBase`

      public abstract class ReadOnlyIntegerProperty
      extends IntegerExpression
      implements ReadOnlyProperty<Number>

  Superclass for all readonly properties wrapping an `int`.
  Since:
    JavaFX 2.0
  See Also:
    `ObservableIntegerValue`, `IntegerExpression`, `ReadOnlyProperty`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReadOnlyIntegerProperty()` | The constructor of `ReadOnlyIntegerProperty`.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `ReadOnlyObjectProperty<Integer>` | `asObject()` | Creates a `ReadOnlyObjectProperty` that holds the value of this `ReadOnlyIntegerProperty`.
    `static <T extends Number> ReadOnlyIntegerProperty` | `readOnlyIntegerProperty​(ReadOnlyProperty<T> property)` | Returns a `ReadOnlyIntegerProperty` that wraps a `ReadOnlyProperty`.
    `String` | `toString()` | Returns a string representation of this `ReadOnlyIntegerProperty` object.

    - ### Methods inherited from class javafx.beans.binding.IntegerExpression

      `add, add, add, add, divide, divide, divide, divide, doubleValue, floatValue, getValue, integerExpression, integerExpression, intValue, longValue, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract`

    - ### Methods inherited from class javafx.beans.binding.NumberExpressionBase

      `add, asString, asString, asString, divide, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, multiply, numberExpression, subtract`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javafx.beans.Observable

      `addListener, removeListener`

    - ### Methods inherited from interface javafx.beans.value.ObservableIntegerValue

      `get`

    - ### Methods inherited from interface javafx.beans.value.ObservableValue

      `addListener, getValue, removeListener`

    - ### Methods inherited from interface javafx.beans.property.ReadOnlyProperty

      `getBean, getName`

- - ### Constructor Detail

    - #### ReadOnlyIntegerProperty

          public ReadOnlyIntegerProperty()

      The constructor of `ReadOnlyIntegerProperty`.

  - ### Method Detail

    - #### toString

          public String toString()

      Returns a string representation of this `ReadOnlyIntegerProperty` object.
      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation of this `ReadOnlyIntegerProperty` object.

    - #### readOnlyIntegerProperty

          public static <T extends Number> ReadOnlyIntegerProperty readOnlyIntegerProperty​(ReadOnlyProperty<T> property)

      Returns a `ReadOnlyIntegerProperty` that wraps a `ReadOnlyProperty`. If the `ReadOnlyProperty` is already a `ReadOnlyIntegerProperty`, it will be returned. Otherwise a new `ReadOnlyIntegerProperty` is created that is bound to the `ReadOnlyProperty`. Note: null values will be interpreted as 0
      Type Parameters:
        `T` - The type of Number to be wrapped
      Parameters:
        `property` - The source `ReadOnlyProperty`
      Returns:
        A `ReadOnlyIntegerProperty` that wraps the `ReadOnlyProperty` if necessary
      Throws:
        `NullPointerException` - if `property` is `null`
      Since:
        JavaFX 8.0

    - #### asObject

          public ReadOnlyObjectProperty<Integer> asObject()

      Creates a `ReadOnlyObjectProperty` that holds the value of this `ReadOnlyIntegerProperty`. If the value of this `ReadOnlyIntegerProperty` changes, the value of the `ReadOnlyObjectProperty` will be updated automatically.
      Overrides:
        `asObject` in class `IntegerExpression`
      Returns:
        the new `ReadOnlyObjectProperty`
      Since:
        JavaFX 8.0